
Redmine - Defect #4192

Cannot Delete Issues in Redmine 085

2009-11-10 16:17 - Martin Buenger

Status: Closed Start date: 2009-11-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When trying to delete an issue i receive the following error message:

NoMethodError in IssuesController#destroy

Application Trace

vendor/rails/activerecord/lib/active_record/base.rb:1672:in `method_missing'

vendor/plugins/redmine_backlogs/lib/issue_patch.rb:28:in `remove_item'

vendor/rails/activesupport/lib/active_support/callbacks.rb:173:in `send'

vendor/rails/activesupport/lib/active_support/callbacks.rb:173:in `evaluate_method'

vendor/rails/activesupport/lib/active_support/callbacks.rb:161:in `call'

vendor/rails/activesupport/lib/active_support/callbacks.rb:93:in `run'

vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `each'

vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `send'

vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `run'

vendor/rails/activesupport/lib/active_support/callbacks.rb:272:in `run_callbacks'

vendor/rails/activerecord/lib/active_record/callbacks.rb:298:in `callback'

vendor/rails/activerecord/lib/active_record/callbacks.rb:290:in `destroy_without_transactions'

vendor/rails/activerecord/lib/active_record/transactions.rb:102:in `destroy'

vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:66:in `transaction'

vendor/rails/activerecord/lib/active_record/transactions.rb:79:in `transaction'

vendor/rails/activerecord/lib/active_record/transactions.rb:98:in `transaction'

vendor/rails/activerecord/lib/active_record/transactions.rb:102:in `destroy'

vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in `to_proc'

app/controllers/issues_controller.rb:318:in `each'

app/controllers/issues_controller.rb:318:in `destroy'

Running on windows XP pro, bitnami redmine stack 085

History

#1 - 2009-11-10 16:23 - Martin Buenger

I forgot:

Bitnami environment Redmine 0.8.

- Apache 2.2.13

- ImageMagick 6.5.2-9

- MySQL 5.1.30

- Subversion 1.6.2

- Ruby 1.8.7-p160

- Rails 2.3.2

- RubyGems 1.3.4

Plugins

a) redmine_todos_plugin

b) redmine_charts

c) redmine_importer

d) redmine_kanban

e) redmine_backlogs

f) redmine_scrumdashboard

g) redmine_user_import

#2 - 2009-11-11 00:02 - Mischa The Evil

- Status changed from New to Closed
- Resolution set to Invalid

Looking at the stack the issue is caused by the Backlogs plugin. You might get for support for the plugin at the Redmine forum thread of the plugin.
